services:
  mermsemr-WHAT_CONTAINER_NAME:
    image: PROVISION_IMAGE_NAME_REPLACE
    ports:
      - 'ALLOCATED_PORT:3000'
#    volumes:
#      - .:/app
#      - /app/node_modules
#      - /app/.next
    environment:
      - WDS_SOCKET_HOST=localhost # Or your Docker IP if needed
      - CHOKIDAR_USEPOLLING=true
      - WATCHPACK_POLLING=true
    extra_hosts:
      - api.mermsemr.com:10.10.33.15
      - devapi.mermsemr.com:10.10.33.15
      - devsocket.mermsemr.com:10.10.33.15
      - socket.mermsemr.com:10.10.33.15
      - dev-media.mermsemr.com:10.10.33.15
      - media.mermsemr.com:10.10.33.15
    command: yarn dev # or npm run dev